Page MenuHomePhabricator

Autofill link for Wikidata's citoid gadget: wording
Open, LowPublic

Description

Need: Predict what an element is doing on click
Problem: "Autofill" does not tell what will be autofilled based on what

Solutions:

  • Add Title attribute the describes what will happen: "Autocreates Properties and values for the publication" (can be done)
  • Make title more descriptive: "Autofill Publication" or the like (may need wording improvement)

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 19 2016, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Autofill link for citoid gadget: wording to Autofill link for Wikidata's citoid gadget: wording.Jan 3 2017, 8:17 PM
Mvolz moved this task from Backlog to Zotero on the Citoid board.Jan 9 2017, 1:50 PM
Deskana triaged this task as Low priority.Aug 27 2018, 12:37 PM
Deskana removed a project: VisualEditor.

This is fixed in my fork of CiteTool:
https://www.wikidata.org/wiki/User:MichaelSchoenitzer/CiteTool

May/Should I close this ticket?

Can the improvements be reviewed and merged back?

Mvolz added a subscriber: Mvolz.Dec 10 2018, 10:01 AM

Can the improvements be reviewed and merged back?

Theoretically yes :). You can open a pull request here: https://github.com/filbertkm/wikidata-citetool/pulls

Although this ticket actually conflicts with my own ideas about how the button should work. The button popping into existence when you select the type (doi/reference url) is bad UI; it should be grayed out and just be activated/enabled. However if we do it that way then having the title depend on the type selected (doi/reference url) doesn't work because the button will already exist before selection.

Although this ticket actually conflicts with my own ideas about how the button should work.

We would need to review the solution/UI (separately of the code) anyway before we merge it.

Mvolz added a comment.EditedDec 10 2018, 2:10 PM

Although this ticket actually conflicts with my own ideas about how the button should work.

We would need to review the solution/UI (separately of the code) anyway before we merge it.

I mean, that's dependant on the process being under WMDE control, but the repo is on Katie's personal github and she's no longer with WMDE (I think!) - should the repo be moved to the WMDE org?

Although this ticket actually conflicts with my own ideas about how the button should work.

We would need to review the solution/UI (separately of the code) anyway before we merge it.

I mean, that's dependant on the process being under WMDE control, but the repo is on Katie's personal github and she's no longer with WMDE (I think!) - should the repo be moved to the WMDE org?

Yes, also now there exist already 3 different versions, that will be really hard to merge. Mvolz and I did a lot of work twofold without knowing of each. A typical wikimedia-userscript fail and showing how badly broken the hole system is – especially at wikidata where nothing works without using dozens of gadgets scripts and tool…
We should clean up this mess and get it into a gadget so that people can finally use it and that we will finally get some proper sources into Wikidata.